/**
 * @module tgam-patterns/lazysizes-config
 * @see https://github.com/aFarkas/lazysizes
 */

/**
 * @description Constant enum for different breakpoint minimum widths
 * @type {Object}
 * @property {String} lazyClass
 * @property {String} preloadClass
 * @property {String} loadingClass
 * @property {String} loadedClass
 * @property {String} errorClass
 * @property {String} autosizesClass
 */
export default {
  lazyClass: "js-lazyimage",
  preloadClass: "js-lazyimage--preload",
  loadingClass: "js-lazyimage--loading",
  loadedClass: "js-lazyimage--loaded",
  errorClass: "js-lazyimage--error",
  autosizesClass: "js-lazyimage--autosizes"
};
